---
title: Building a SeaMonkey package
slug: Mozilla/Developer_guide/Build_Instructions/Building_a_SeaMonkey_package
tags:
  - Build documentation
  - Developing Mozilla
  - SeaMonkey
---
<h3 id="Building_a_zip.2Ftar_file">Building a zip/tar file</h3>
<p>To build a .zip or .tar.gz/.tar.bz2 package, just go to {{ Source("xpinstall/packager") }} (in the objdir, if any) and type:</p>
<pre class="eval">make
</pre>
<p>This will select a default package format, depending on the OS.</p>
<p>To specify a specific package format, use</p>
<pre class="eval">make MOZ_PKG_FORMAT=format
</pre>
<p>where <code>format</code> is one of <code>DMG</code> (MacOS only), <code>BZ2</code>, <code>TGZ</code> and <code>ZIP</code>.</p>
<p>The resulting package is placed in the <code>dist/</code> directory.</p>
<h3 id="Building_an_installer">Building an installer</h3>
<p>On platforms that support it, you can just go to {{ Source("xpinstall/packager") }} (again, in the objdir if you use one) and type</p>
<pre class="eval">make installer
</pre>
<p>This will do nothing on platforms that have no installer.</p>
<p>The installer will be placed in <code>dist/install/sea</code> and <code>dist/install/stub</code> (windows) or <code>installer/{stub,sea}</code> (linux).</p>
<ul>
  <li>
    <i>
      Note</i>
    : <code>msvcrt.dll</code> and <code>msvcirt.dll</code>: These files must be copied to the %MOZ_SRC%\redist\microsoft\system directory on your build system. Without these files, the build will not fail, but the package you create will have problems on rare Windows systems that don't already have the files installed (mostly Win95) as described in {{ Bug(27601) }}.</li>
</ul>
